<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: epg/api/list_channels_by_datasource_request.proto

namespace Tellie\Epg\Api;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Generated from protobuf message <code>tellie.epg.api.ListChannelsByDatasourceRequest</code>
 */
class ListChannelsByDatasourceRequest extends \Google\Protobuf\Internal\Message
{
    /**
     * Generated from protobuf field <code>string datasource_id = 1;</code>
     */
    protected $datasource_id = '';

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $datasource_id
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Epg\Api\ListChannelsByDatasourceRequest::initOnce();
        parent::__construct($data);
    }

    /**
     * Generated from protobuf field <code>string datasource_id = 1;</code>
     * @return string
     */
    public function getDatasourceId()
    {
        return $this->datasource_id;
    }

    /**
     * Generated from protobuf field <code>string datasource_id = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setDatasourceId($var)
    {
        GPBUtil::checkString($var, True);
        $this->datasource_id = $var;

        return $this;
    }

}

